## com.google.javascript.jscomp
Class DiagnosticGroups

    java.lang.Object
      com.google.javascript.jscomp.DiagnosticGroups

    public class DiagnosticGroups

extends Object

Named groups of DiagnosticTypes exposed by Compiler.

Field Summary
`static DiagnosticGroup` | `ACCESS_CONTROLS`
`static DiagnosticGroup` | `AMBIGUOUS_FUNCTION_DECL`
`static DiagnosticGroup` | `CHECK_PROVIDES`
`static DiagnosticGroup` | `CHECK_REGEXP`
`static DiagnosticGroup` | `CHECK_TYPES`
`static DiagnosticGroup` | `CHECK_USELESS_CODE`
`static DiagnosticGroup` | `CHECK_VARIABLES`
`static DiagnosticGroup` | `CONST`
`static DiagnosticGroup` | `CONSTANT_PROPERTY`
`static DiagnosticGroup` | `DEBUGGER_STATEMENT_PRESENT`
`static DiagnosticGroup` | `DEPRECATED`
`static DiagnosticGroup` | `DUPLICATE_MESSAGE`
`static DiagnosticGroup` | `DUPLICATE_VARS`
`static DiagnosticGroup` | `ES5_STRICT`
`static DiagnosticGroup` | `EXTERNS_VALIDATION`
`static DiagnosticGroup` | `FILEOVERVIEW_JSDOC`
`static DiagnosticGroup` | `GLOBAL_THIS`
`static DiagnosticGroup` | `INTERNET_EXPLORER_CHECKS`
`static DiagnosticGroup` | `INVALID_CASTS`
`static DiagnosticGroup` | `MISSING_PROPERTIES`
`static DiagnosticGroup` | `NON_STANDARD_JSDOC`
`static DiagnosticGroup` | `STRICT_MODULE_DEP_CHECK`
`static DiagnosticGroup` | `TWEAKS`
`static DiagnosticGroup` | `TYPE_INVALIDATION`
`static DiagnosticGroup` | `UNDEFINED_NAMES`
`static DiagnosticGroup` | `UNDEFINED_VARIABLES`
`static DiagnosticGroup` | `UNKNOWN_DEFINES`
`static DiagnosticGroup` | `VISIBILITY`

Constructor Summary
`DiagnosticGroups()`

Method Summary
`DiagnosticGroup` | `forName(String name)` Find the diagnostic group registered under the given name.
`protected Map<String,DiagnosticGroup>` | `getRegisteredGroups()` Get the registered diagnostic groups, indexed by name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_THIS

    public static DiagnosticGroup GLOBAL_THIS

### DEPRECATED

    public static DiagnosticGroup DEPRECATED

### VISIBILITY

    public static DiagnosticGroup VISIBILITY

### CONSTANT_PROPERTY

    public static DiagnosticGroup CONSTANT_PROPERTY

### NON_STANDARD_JSDOC

    public static DiagnosticGroup NON_STANDARD_JSDOC

### ACCESS_CONTROLS

    public static DiagnosticGroup ACCESS_CONTROLS

### INVALID_CASTS

    public static DiagnosticGroup INVALID_CASTS

### FILEOVERVIEW_JSDOC

    public static DiagnosticGroup FILEOVERVIEW_JSDOC

### STRICT_MODULE_DEP_CHECK

    public static DiagnosticGroup STRICT_MODULE_DEP_CHECK

### EXTERNS_VALIDATION

    public static DiagnosticGroup EXTERNS_VALIDATION

### AMBIGUOUS_FUNCTION_DECL

    public static DiagnosticGroup AMBIGUOUS_FUNCTION_DECL

### UNKNOWN_DEFINES

    public static DiagnosticGroup UNKNOWN_DEFINES

### TWEAKS

    public static DiagnosticGroup TWEAKS

### MISSING_PROPERTIES

    public static DiagnosticGroup MISSING_PROPERTIES

### INTERNET_EXPLORER_CHECKS

    public static DiagnosticGroup INTERNET_EXPLORER_CHECKS

### UNDEFINED_VARIABLES

    public static DiagnosticGroup UNDEFINED_VARIABLES

### UNDEFINED_NAMES

    public static DiagnosticGroup UNDEFINED_NAMES

### DEBUGGER_STATEMENT_PRESENT

    public static DiagnosticGroup DEBUGGER_STATEMENT_PRESENT

### CHECK_REGEXP

    public static DiagnosticGroup CHECK_REGEXP

### CHECK_TYPES

    public static DiagnosticGroup CHECK_TYPES

### CHECK_VARIABLES

    public static DiagnosticGroup CHECK_VARIABLES

### CHECK_USELESS_CODE

    public static DiagnosticGroup CHECK_USELESS_CODE

### CONST

    public static DiagnosticGroup CONST

### TYPE_INVALIDATION

    public static DiagnosticGroup TYPE_INVALIDATION

### DUPLICATE_VARS

    public static DiagnosticGroup DUPLICATE_VARS

### ES5_STRICT

    public static DiagnosticGroup ES5_STRICT

### CHECK_PROVIDES

    public static DiagnosticGroup CHECK_PROVIDES

### DUPLICATE_MESSAGE

    public static DiagnosticGroup DUPLICATE_MESSAGE

Constructor Detail

### DiagnosticGroups

    public DiagnosticGroups()

Method Detail

### getRegisteredGroups

    protected Map<String,DiagnosticGroup> getRegisteredGroups()

  Get the registered diagnostic groups, indexed by name.

### forName

    public DiagnosticGroup forName(String name)

  Find the diagnostic group registered under the given name.